Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.simpletext
Class SimpleTextFieldInfosFormat

    java.lang.Object
      org.apache.lucene.codecs.FieldInfosFormat
          org.apache.lucene.codecs.simpletext.SimpleTextFieldInfosFormat

    public class SimpleTextFieldInfosFormat

extends FieldInfosFormat

plaintext field infos format

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`SimpleTextFieldInfosFormat()`

Method Summary
`FieldInfosReader` | `getFieldInfosReader()`
`FieldInfosWriter` | `getFieldInfosWriter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextFieldInfosFormat

    public SimpleTextFieldInfosFormat()

Method Detail

### getFieldInfosReader

    public FieldInfosReader getFieldInfosReader()
                                         throws IOException

  Specified by:
    `getFieldInfosReader` in class `FieldInfosFormat`
  Throws:
    `IOException`

### getFieldInfosWriter

    public FieldInfosWriter getFieldInfosWriter()
                                         throws IOException

  Specified by:
    `getFieldInfosWriter` in class `FieldInfosFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.